Bug 184963 - [MAINTAINER] audio/Maaate: fix build on 10.x without libstdc++
Summary: [MAINTAINER] audio/Maaate: fix build on 10.x without libstdc++
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-18 12:20 UTC by Marcin Cieślak
Modified: 2014-02-09 11:30 UTC (History)
1 user (show)

See Also:


Attachments
Maaate-0.3.1_3.patch (1.69 KB, patch)
2013-12-18 12:20 UTC, Marcin Cieślak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieślak 2013-12-18 12:20:00 UTC
Port build fails on FreeBSD cluster:

http://beefy2.isc.freebsd.org/bulk/10amd64-quarterly/2013-12-18_01h04m44s/logs/Maaate-0.3.1_3.log

probably because of the hardcoded -lstdc++ line even when using
clang++

This is no longer necessary.

Generated with FreeBSD Port Tools 0.99

How-To-Repeat: 
when building mate with CC=clang CXX=clang++
-lstdc++ can still be seen added for the libraries.
Comment 1 Marcin Cieślak 2013-12-20 22:25:49 UTC
While we are here, add LICENSE, PORT_OPTIONS:MDOC
and staging support as suggested by portlint(1).

===> Generating patch
===> Viewing diff with more
diff -ruN --exclude=CVS /usr/ports/audio/Maaate.orig/Makefile /usr/ports/audio/Maaate/Makefile
--- /usr/ports/audio/Maaate.orig/Makefile	2010-12-04 08:30:18.000000000 +0100
+++ /usr/ports/audio/Maaate/Makefile	2013-12-20 23:13:01.000000000 +0100
@@ -1,10 +1,5 @@
-# ex:ts=8
-# New ports collection makefile for:   Maaate
-# Date created:                Fab 12, 2001
-# Whom:                        Ying-Chieh Liao <ijliao@FreeBSD.org>
-#
-# $FreeBSD: ports/audio/Maaate/Makefile,v 1.32 2010/12/04 07:30:18 ade Exp $
-#
+# Created by: Ying-Chieh Liao <ijliao@FreeBSD.org>
+# $FreeBSD: audio/Maaate/Makefile 327706 2013-09-20 14:36:35Z bapt $
 
 PORTNAME=	Maaate
 PORTVERSION=	0.3.1
@@ -15,8 +10,10 @@
 MAINTAINER=	saper@saper.info
 COMMENT=	MPEG audio analysis toolkit
 
+LICENSE=	GPLv2
+
+USES=		gmake
 USE_AUTOTOOLS=	libtool
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 
@@ -25,10 +22,10 @@
 		 s|(CCLD|(CXXLD|g' ${WRKSRC}/demos/Makefile.in
 
 post-install:
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
+.if !defined(PORT_OPTIONS:MDOCS)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for file in API.html ChangeLog THANKS applications.html
-	${INSTALL_DATA} ${WRKSRC}/doc/${file} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/${file} ${STAGEDIR}${DOCSDIR}
 .endfor
 .endif
 
diff -ruN --exclude=CVS /usr/ports/audio/Maaate.orig/files/patch-configure /usr/ports/audio/Maaate/files/patch-configure
--- /usr/ports/audio/Maaate.orig/files/patch-configure	2002-10-06 19:39:01.000000000 +0200
+++ /usr/ports/audio/Maaate/files/patch-configure	2013-12-18 12:38:37.000000000 +0100
@@ -1,5 +1,5 @@
---- configure.orig	Thu Sep  5 09:54:07 2002
-+++ configure	Mon Sep 30 22:55:21 2002
+--- configure.orig	2002-10-09 03:30:34.000000000 +0200
++++ configure	2013-12-18 12:38:19.000000000 +0100
 @@ -5691,6 +5691,7 @@
  
  # This can be used to rebuild libtool when needed
@@ -8,3 +8,11 @@
  
  # Always use our own libtool.
  LIBTOOL='$(SHELL) $(top_builddir)/libtool'
+@@ -5699,7 +5700,6 @@
+ 
+ 
+ 
+-LDFLAGS="$LDFLAGS -lstdc++"
+ 
+ echo $ac_n "checking for cos in -lm""... $ac_c" 1>&6
+ echo "configure:5706: checking for cos in -lm" >&5
===> Done
Comment 2 Thomas Zander freebsd_committer 2014-02-08 14:39:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->riggs

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-02-08 18:25:27 UTC
Author: riggs
Date: Sat Feb  8 18:25:13 2014
New Revision: 343375
URL: http://svnweb.freebsd.org/changeset/ports/343375
QAT: https://qat.redports.org/buildarchive/r343375/

Log:
  - Build fix for clang based systems
  - Add LICENSE
  - Add OPTION for portdocs
  - Correct outdated project URL in pkg-descr
  - Bump PORTREVISION
  
  PR:		ports/184963
  Submitted by:	Marcin Cieslak <saper@saper.info> (maintainer)
  Approved by:	thierry (mentor)
  MFH:		2014Q1

Modified:
  head/audio/Maaate/Makefile
  head/audio/Maaate/files/patch-configure
  head/audio/Maaate/pkg-descr
  head/audio/Maaate/pkg-plist

Modified: head/audio/Maaate/Makefile
==============================================================================
--- head/audio/Maaate/Makefile	Sat Feb  8 18:10:39 2014	(r343374)
+++ head/audio/Maaate/Makefile	Sat Feb  8 18:25:13 2014	(r343375)
@@ -3,26 +3,36 @@
 
 PORTNAME=	Maaate
 PORTVERSION=	0.3.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME:L}/${PORTNAME:L}/${PORTNAME}-${PORTVERSION}.tar.gz
 
 MAINTAINER=	saper@saper.info
 COMMENT=	MPEG audio analysis toolkit
 
+LICENSE=	GPLv2
+
 USES=		gmake
 USE_AUTOTOOLS=	libtool
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 
+PORTDOCS=	API.html ChangeLog THANKS applications.html
+
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|-ldl||g ; \
 		 s|(CCLD|(CXXLD|g' ${WRKSRC}/demos/Makefile.in
 
 post-install:
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-.for file in API.html ChangeLog THANKS applications.html
-	${INSTALL_DATA} ${WRKSRC}/doc/${file} ${STAGEDIR}${DOCSDIR}
+.for f in ${PORTDOCS}
+	${INSTALL_DATA} ${WRKSRC}/doc/${f} ${STAGEDIR}${DOCSDIR}
 .endfor
+.endif
 
 .include <bsd.port.mk>

Modified: head/audio/Maaate/files/patch-configure
==============================================================================
--- head/audio/Maaate/files/patch-configure	Sat Feb  8 18:10:39 2014	(r343374)
+++ head/audio/Maaate/files/patch-configure	Sat Feb  8 18:25:13 2014	(r343375)
@@ -1,5 +1,5 @@
---- configure.orig	Thu Sep  5 09:54:07 2002
-+++ configure	Mon Sep 30 22:55:21 2002
+--- configure.orig	2002-10-09 03:30:34.000000000 +0200
++++ configure	2013-12-18 12:38:19.000000000 +0100
 @@ -5691,6 +5691,7 @@
  
  # This can be used to rebuild libtool when needed
@@ -8,3 +8,11 @@
  
  # Always use our own libtool.
  LIBTOOL='$(SHELL) $(top_builddir)/libtool'
+@@ -5699,7 +5700,6 @@
+ 
+ 
+ 
+-LDFLAGS="$LDFLAGS -lstdc++"
+ 
+ echo $ac_n "checking for cos in -lm""... $ac_c" 1>&6
+ echo "configure:5706: checking for cos in -lm" >&5

Modified: head/audio/Maaate/pkg-descr
==============================================================================
--- head/audio/Maaate/pkg-descr	Sat Feb  8 18:10:39 2014	(r343374)
+++ head/audio/Maaate/pkg-descr	Sat Feb  8 18:25:13 2014	(r343375)
@@ -9,4 +9,4 @@ parsing of the MPEG audio stream, the se
 content analysis on the extracted field, and the third tier includes
 any applications that are based on the extracted content. 
 
-WWW: http://www.cmis.csiro.au/maaate/
+WWW: http://maaate.sourceforge.net/

Modified: head/audio/Maaate/pkg-plist
==============================================================================
--- head/audio/Maaate/pkg-plist	Sat Feb  8 18:10:39 2014	(r343374)
+++ head/audio/Maaate/pkg-plist	Sat Feb  8 18:25:13 2014	(r343375)
@@ -40,10 +40,5 @@ lib/libMaaateP.a
 lib/libMaaateP.la
 lib/libMaaateP.so
 lib/libMaaateP.so.1
-%%PORTDOCS%%%%DOCSDIR%%/API.html
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/THANKS
-%%PORTDOCS%%%%DOCSDIR%%/applications.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/Maaate
 @dirrm include/Maaate
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Thomas Zander freebsd_committer 2014-02-08 21:06:52 UTC
State Changed
From-To: open->closed

Committed, with small changes: Use PORTDOCS, define DOCS in OPTIONS, 
update outdated link to project homepage. Thanks!
Comment 5 dfilter service freebsd_committer 2014-02-09 11:29:46 UTC
Author: riggs
Date: Sun Feb  9 11:29:38 2014
New Revision: 343466
URL: http://svnweb.freebsd.org/changeset/ports/343466
QAT: https://qat.redports.org/buildarchive/r343466/

Log:
  MFH: r343375
  
  - Build fix for clang based systems
  - Add LICENSE
  - Add OPTION for portdocs
  - Correct outdated project URL in pkg-descr
  - Bump PORTREVISION
  
  - Support staging (== merge conflict resolution)
  
  PR:		ports/184963
  Submitted by:	Marcin Cieslak <saper@saper.info> (maintainer)
  Approved by:	portmgr (antoine), thierry (mentor)

Modified:
  branches/2014Q1/audio/Maaate/Makefile
  branches/2014Q1/audio/Maaate/files/patch-configure
  branches/2014Q1/audio/Maaate/pkg-descr
  branches/2014Q1/audio/Maaate/pkg-plist
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/audio/Maaate/Makefile
==============================================================================
--- branches/2014Q1/audio/Maaate/Makefile	Sun Feb  9 11:17:43 2014	(r343465)
+++ branches/2014Q1/audio/Maaate/Makefile	Sun Feb  9 11:29:38 2014	(r343466)
@@ -3,28 +3,35 @@
 
 PORTNAME=	Maaate
 PORTVERSION=	0.3.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME:L}/${PORTNAME:L}/${PORTNAME}-${PORTVERSION}.tar.gz
 
 MAINTAINER=	saper@saper.info
 COMMENT=	MPEG audio analysis toolkit
 
-NO_STAGE=	yes
+LICENSE=	GPLv2
+
 USES=		gmake
 USE_AUTOTOOLS=	libtool
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 
+PORTDOCS=	API.html ChangeLog THANKS applications.html
+
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|-ldl||g ; \
 		 s|(CCLD|(CXXLD|g' ${WRKSRC}/demos/Makefile.in
 
 post-install:
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-.for file in API.html ChangeLog THANKS applications.html
-	${INSTALL_DATA} ${WRKSRC}/doc/${file} ${DOCSDIR}
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+.for f in ${PORTDOCS}
+	${INSTALL_DATA} ${WRKSRC}/doc/${f} ${STAGEDIR}${DOCSDIR}
 .endfor
 .endif
 

Modified: branches/2014Q1/audio/Maaate/files/patch-configure
==============================================================================
--- branches/2014Q1/audio/Maaate/files/patch-configure	Sun Feb  9 11:17:43 2014	(r343465)
+++ branches/2014Q1/audio/Maaate/files/patch-configure	Sun Feb  9 11:29:38 2014	(r343466)
@@ -1,5 +1,5 @@
---- configure.orig	Thu Sep  5 09:54:07 2002
-+++ configure	Mon Sep 30 22:55:21 2002
+--- configure.orig	2002-10-09 03:30:34.000000000 +0200
++++ configure	2013-12-18 12:38:19.000000000 +0100
 @@ -5691,6 +5691,7 @@
  
  # This can be used to rebuild libtool when needed
@@ -8,3 +8,11 @@
  
  # Always use our own libtool.
  LIBTOOL='$(SHELL) $(top_builddir)/libtool'
+@@ -5699,7 +5700,6 @@
+ 
+ 
+ 
+-LDFLAGS="$LDFLAGS -lstdc++"
+ 
+ echo $ac_n "checking for cos in -lm""... $ac_c" 1>&6
+ echo "configure:5706: checking for cos in -lm" >&5

Modified: branches/2014Q1/audio/Maaate/pkg-descr
==============================================================================
--- branches/2014Q1/audio/Maaate/pkg-descr	Sun Feb  9 11:17:43 2014	(r343465)
+++ branches/2014Q1/audio/Maaate/pkg-descr	Sun Feb  9 11:29:38 2014	(r343466)
@@ -9,4 +9,4 @@ parsing of the MPEG audio stream, the se
 content analysis on the extracted field, and the third tier includes
 any applications that are based on the extracted content. 
 
-WWW: http://www.cmis.csiro.au/maaate/
+WWW: http://maaate.sourceforge.net/

Modified: branches/2014Q1/audio/Maaate/pkg-plist
==============================================================================
--- branches/2014Q1/audio/Maaate/pkg-plist	Sun Feb  9 11:17:43 2014	(r343465)
+++ branches/2014Q1/audio/Maaate/pkg-plist	Sun Feb  9 11:29:38 2014	(r343466)
@@ -40,10 +40,5 @@ lib/libMaaateP.a
 lib/libMaaateP.la
 lib/libMaaateP.so
 lib/libMaaateP.so.1
-%%PORTDOCS%%%%DOCSDIR%%/API.html
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/THANKS
-%%PORTDOCS%%%%DOCSDIR%%/applications.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/Maaate
 @dirrm include/Maaate
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"